Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 40 von 54

Thema: news4ward und Contao 4.4

  1. #1
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard news4ward und Contao 4.4

    Hallo zusammen,

    hat schon jemand von euch versucht, news4ward in Contao 4.4 zu installieren? Ich muss ein Update machen und habe testweise news4ward manuell installiert und die Datenbank importiert. Die Beiträge sind im Backend alle da, aber das Frontend kann nicht angezeigt werden, ich erhalte folgende Fehlermeldung:


    Code:
    [2018-10-11 08:15:04] request.INFO: Matched route "contao_frontend". {"route":"contao_frontend","route_parameters":{"_token_check":true,"_controller":"Contao\\CoreBundle\\Controller\\FrontendController::indexAction","_scope":"frontend","alias":"start","_route":"contao_frontend"},"request_uri":"http://xxxxx.at/start.html","method":"HEAD"} []
    [2018-10-11 08:15:04] security.INFO: Attempting SimplePreAuthentication. {"key":"frontend","authenticator":"Contao\\CoreBundle\\Security\\ContaoAuthenticator"} []
    [2018-10-11 08:15:04] request.INFO: Matched route "contao_frontend". {"route":"contao_frontend","route_parameters":{"_token_check":true,"_controller":"Contao\\CoreBundle\\Controller\\FrontendController::indexAction","_scope":"frontend","alias":"start","_route":"contao_frontend"},"request_uri":"http://xxxxx.at/start.html","method":"GET"} []
    [2018-10-11 08:15:04] security.INFO: Attempting SimplePreAuthentication. {"key":"frontend","authenticator":"Contao\\CoreBundle\\Security\\ContaoAuthenticator"} []
    [2018-10-11 08:15:05] app.CRITICAL: An exception occurred. {"exception":"[object] (Symfony\\Component\\Debug\\Exception\\FatalThrowableError(code: 0): Function name must be a string at .../contao_4/system/modules/news4ward/Module/Listing.php:94)"} []
    Wenn ich das Listenmodul ausblende, wird das FE angezeigt. Hat jemand eine Idee?

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Hast du die neueste Version der Extension installiert? Laut Fehlermeldung ist die Version, die du zur Zeit installiert hast nicht mit der verwendeten PHP Version kompatibel.

  3. #3
    Contao-Urgestein
    Registriert seit
    29.10.2009.
    Ort
    Magdeburg
    Beiträge
    1.911
    Partner-ID
    626
    User beschenken
    Wunschliste

    Standard

    news4ward ist nicht mit PHP 7 kompatibel. Da der Entwickler nichts mehr mit Contao macht, ist die Zukunft der Erweiterung mehr als ungewiss.

  4. #4
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Au weia ... ja, es ist die "neueste" Version, aber die ist eben auch nicht mehr für Contao 4 freigegeben. Ich hab halt gehofft, dass sie noch funktioniert, hab news4ward immerhin auf einigen Seiten in Betrieb.

  5. #5
    Contao-Urgestein
    Registriert seit
    29.10.2009.
    Ort
    Magdeburg
    Beiträge
    1.911
    Partner-ID
    626
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von bibib Beitrag anzeigen
    Au weia ... ja, es ist die "neueste" Version, aber die ist eben auch nicht mehr für Contao 4 freigegeben. Ich hab halt gehofft, dass sie noch funktioniert, hab news4ward immerhin auf einigen Seiten in Betrieb.
    Solange man auf PHP 7 verzichten kann/will, sollte die Erweiterung noch laufen. Vor dem Problem stehen einige. Habe auch eine Seite, wo nächstes Jahr ein Update ansteht.

  6. #6
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Zitat Zitat von webstar Beitrag anzeigen
    Solange man auf PHP 7 verzichten kann/will, sollte die Erweiterung noch laufen. Vor dem Problem stehen einige. Habe auch eine Seite, wo nächstes Jahr ein Update ansteht.
    Ja, eh, ich wollte bei dieser Seite gleich ein Update machen, weil es hunderte Spam-Anmeldungen im Newsletter gibt und Contao 4 dafür einen Spamschutz anbietet - und das Update ja sowieso nächstes Jahr anstehen würde. Naja, mal schauen, dann muss das Newsmodul herhalten, wäre mir sowieso lieber.

  7. #7
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Brauchst du news4ward aus einem bestimmten Grund?

  8. #8
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Ich hab es bei einigen Kundenprojekten im Einsatz - und jeder Wechsel ist eben wieder ein (finanzieller) Aufwand für den Kunden. Man kommt ungern mit der Botschaft "wird nicht mehr weiterentwickelt und muss umgebaut werden" daher. Und andererseits predige ich auch immer, dass es sinnvoll ist, regelmäßige Updates zu machen.
    Also nein, aus keinem bestimmten Grund. Das Newsmodul tut es sicher genauso (hab ich auch schon dafür eingesetzt).
    Geändert von bibib (11.10.2018 um 10:28 Uhr)

  9. #9
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Zitat Zitat von webstar Beitrag anzeigen
    news4ward setze ich bei einem Kunden ein, wo nächstes Jahr ein Update ansteht. Tendenz geht auch hier dazu news4ward abzulösen. Die Option in news4ward zu investieren um dies Contao 4 und PHP 7 kompatibel zu machen, ist aber noch nicht 100% vom Tisch.
    Nach dem Hinweis von Christian auf Github hab ich mir die Sache einmal angeschaut und news4ward läuft jetzt sowohl mit Contao 3.5.38 (PHP 7.1) als auch mit Contao 4.4.

    Es waren nur wenige Änderungen nötig:

    1.) Fehlermeldung: PHP 7: 'Function name must be a string' *klick*

    Code:
            news4ward/Module/Listing.php
    	Zeile 95:
      	$tmp = $this->$callback[0]->$callback[1]($this);
            ersetzt durch:
    	$tmp = $this->{$callback[0]}->{$callback[1]}($this);
    
    	news4ward/Module/Module.php
    	Zeile 193:
    	$this->$callback[0]->$callback[1]($this, $arrArticles, $objTemplate);
    	ersetzt durch:
    	$this->{$callback[0]}->{$callback[1]}($this, $arrArticles, $objTemplate);
    	
    	news4ward/dca/tl_news4ward_article.php
    	Zeile 392:
    	$strReturn = $this->$callback[0]->$callback[1]($strReturn, $arrRow);
    	ersetzt durch:
    	$strReturn = $this->{$callback[0]}->{$callback[1]}($strReturn, $arrRow);
    2.) Fatal error: Cannot use 'String' as class name as it is reserved in ... *klick*

    Code:
            news4ward/Helper.php
    	Zeile 373:
    	$strDescription = \String::toXhtml($strDescription);
    	ersetzt durch:
    	$strDescription = \StringUtil::toXhtml($strDescription);
    			
    	news4ward/Module/Module.php
    	Zeile 76:
    	$this->import('\String');
    	ersetzt durch:
    	$this->import('\StringUtil');
    	
    	Zeile 105:
    	$article['teaser'] = \String::toXhtml($article['teaser']);
    	ersetzt durch:
    	$article['teaser'] = \StringUtil::toXhtml($article['teaser']);
    	
    	Zeile 109:
    	$article['teaser'] = \String::toHtml5($article['teaser']);
    	ersetzt durch:
    	$article['teaser'] = \StringUtil::toHtml5($article['teaser']);
    	
    	Zeile 112:
    	$objTemplate->teaser = \String::encodeEmail($article['teaser']);
    	ersetzt durch:
    	$objTemplate->teaser = \StringUtil::encodeEmail($article['teaser']);
    	
    	Zeile 130:
    	$strContent = \String::toXhtml($strContent);
    	ersetzt durch:
    	$strContent = \StringUtil::toXhtml($strContent);
    	
    	Zeile 134:
    	$strContent = \String::toHtml5($strContent);
    	ersetzt durch:
    	$strContent = \StringUtil::toHtml5($strContent);
    	
    	Zeile 137:
    	$strContent = \String::encodeEmail($strContent);
    	ersetzt durch:
    	$strContent = \StringUtil::encodeEmail($strContent);
    Das einzige Problem, das ich noch habe, ist, dass einige Icons nicht angezeigt werden. Zum einen (betrifft nur Contao 3.5) das Beitrags-Icon bei den Backend-Modulen, zum anderen (Contao 3.5 und 4.4) die Icons in der Auflistung der Beiträge - veröffentlicht, Review ausstehend, Entwurf und Beitrag hervorheben. Die Grafiken sind im Ordner news4ward/html vorhanden, können aber nicht angezeigt werden. Hat jemand eine Idee?

  10. #10
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von bibib Beitrag anzeigen
    Das einzige Problem, das ich noch habe, ist, dass einige Icons nicht angezeigt werden. Zum einen (betrifft nur Contao 3.5) das Beitrags-Icon bei den Backend-Modulen, zum anderen (Contao 3.5 und 4.4) die Icons in der Auflistung der Beiträge - veröffentlicht, Review ausstehend, Entwurf und Beitrag hervorheben. Die Grafiken sind im Ordner news4ward/html vorhanden, können aber nicht angezeigt werden. Hat jemand eine Idee?
    Ich glaube dafür muss der Ordner "html" der Extension in "assets" umbenannt werden. Danach musst du natürlich alle Vorkommnisse dieses Ordners im Code ändern und dann nochmal composer install aufrufen.

  11. #11
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Spooky war wieder mal schneller als der Blitz, danke!
    Composer install kann ich nicht machen, da ich die Änderungen ja (vorerst) nur lokal gemacht habe. Die wären dann wieder weg, oder? Bzw. steht news4ward meines Wissens auch gar nicht als C4-Bundle(?) zur Verfügung. Ich kann ja leider die Erweiterung selbst nicht bearbeiten. Gibt's eine Anleitung github für Dummies? Kenn mich da leider nicht aus.

  12. #12
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von bibib Beitrag anzeigen
    Composer install kann ich nicht machen, da ich die Änderungen ja (vorerst) nur lokal gemacht habe.
    Doch, kannst du. Du hast die Erweiterung ja manuell nach system/modules installiert. composer install musst du nicht unbeding ausführen, du kannst statt dessen auch die notwendigen Kommandos selbst ausführen. composer install ist jedoch einfacher, da dann alles ausgeführt wird, was ausgeführt werden muss .

  13. #13
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Äh, jetzt hab ich einen Denkfehler. Du meinst den Befehl composer install auf der Konsole im Root-Verzeichnis der Contao-Installation?

  14. #14
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Ja, oder das Pendant im Contao Manager.

  15. #15
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Perfekt, danke!

  16. #16
    Administrator Avatar von xchs
    Registriert seit
    19.06.2009.
    Beiträge
    14.056
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von bibib Beitrag anzeigen
    Das einzige Problem, das ich noch habe, ist, dass einige Icons nicht angezeigt werden.
    Ohne mir das direkt angesehen zu haben, könnte das ev. auch ein Problem mit der .htaccess im Modulordner sein, welche u. U. den Zugriff blockt.
    Contao Community Administrator
    [Unterstützungsmöglichkeiten]

  17. #17
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Zitat Zitat von xchs Beitrag anzeigen
    Ohne mir das direkt angesehen zu haben, könnte das ev. auch ein Problem mit der .htaccess im Modulordner sein, welche u. U. den Zugriff blockt.
    In der .htaccess des html/assets-Ordner steht "Allow from all".

  18. #18
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Psi hat die Erweiterung jetzt auch offiziell für PHP 7 angepasst. *klick*

  19. #19
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Freigabe für Contao 4 fehlt aber noch.

  20. #20
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Bin mir nicht sicher, ob er das noch macht, weil mit C4 überhaupt nicht befasst? Manuelle Installation reicht ja notfalls auch.

  21. #21
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Wenn es funktioniert, kann es freigegeben werden.

  22. #22
    Contao-Nutzer Avatar von sizta7
    Registriert seit
    02.09.2009.
    Ort
    Neu-Ulm, DE
    Beiträge
    177

    Standard

    Psi hat die Erweiterung jetzt auch offiziell für PHP 7 angepasst.
    Laufen die Features wie [Tagcloud] und [Archive-Menu] auch oder nutzt ihr nur das Basicmodul [news4ward]?
    Gruss Alu

  23. #23
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Auf der Seite, die ich gerade upgedatet habe, werden news4ward, news4ward_archive-menu, news4ward_categories, news4ward_comments und news4ward_tags genutzt - und funktioneren soweit, außerdem noch news4ward_newsletter, das mal eigens programmiert und als zusätzliche Erweiterung freigegeben wurde. news4ward_related ist auch installiert, wird aber hier nicht verwendet bzw. seh ich jetzt auch gar keine Einstellungsmöglichkeiten.

    Btw: Freigabe für Contao 4 ist erfolgt (aber nicht über Composer/Contao-Manager installierbar, wenn ich das jetzt richtig verstanden habe).

  24. #24
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von bibib Beitrag anzeigen
    Btw: Freigabe für Contao 4 ist erfolgt (aber nicht über Composer/Contao-Manager installierbar, wenn ich das jetzt richtig verstanden habe).
    Wenn die Erweiterung für Contao 4 freigegeben ist, dann sollte sie auch über Composer und Contao Manager installierbar sein. Andernfalls ist die Erweiterung nicht für Contao 4 freigegeben

  25. #25
    Contao-Nutzer Avatar von sizta7
    Registriert seit
    02.09.2009.
    Ort
    Neu-Ulm, DE
    Beiträge
    177

    Standard

    Cool, dann versuch ich mich mal dran. Hab das auch noch im Einsatz und will vermeiden x Beiträge händisch ins Newsmodul zu übertragen.
    @Spooky: Im ContaoManager war sie nicht installierbar.
    Gruss Alu

  26. #26
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Zitat Zitat von Spooky Beitrag anzeigen
    Wenn die Erweiterung für Contao 4 freigegeben ist, dann sollte sie auch über Composer und Contao Manager installierbar sein. Andernfalls ist die Erweiterung nicht für Contao 4 freigegeben
    Es gibt eine composer.json und psi meinte, es wäre erledigt, aber im Contao-Manager wird die Erweiterung immer noch als inkompatibel angezeigt.
    Und die aktualisierte Version seh ich auch in Contao 3 im Composer nicht.

  27. #27
    AG Pressearbeit
    Community-Moderator
    Buchautor 'Contao für Webdesigner'
    Avatar von planepix
    Registriert seit
    05.06.2009.
    Ort
    Stuttgart
    Beiträge
    5.722
    Partner-ID
    107
    User beschenken
    Wunschliste

    Standard

    Eben mal via Manager versucht:
    Incompatible Package!
    This package is not supported in Contao 4 Managed Edition.
    ---------------------------------
    Beste Grüße planepix
    Contao für Webdesigner (Website), Twitter: @contaowebdesign
    weitzeldesign
    Contao Schulungen: https://www.weitzeldesign.com/cms-co...chulungen.html
    Contao Jahrbuch: www.contao-jahrbuch.de
    Contao Agenturtag: www.contao-agenturtag.de
    Contao Stammtisch Stuttgart: www.contao-stammtisch-stuttgart.de
    Contao 4 Erfahrungen als Gitbook: https://planepix.gitbooks.io/erfahru...tao-4/content/
    Contao 4 & Manager Hosterhinweise: https://github.com/contao/contao-manager/wiki

    It's OpenSource. So invest with your code, your time to test and your support.

  28. #28
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Hab's mal auf Github gepostet.

  29. #29
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Die Synchronisation mit Packagist scheint nicht zu funktionieren: https://packagist.org/packages/psi/news4ward

  30. #30
    Contao-Nutzer Avatar von sizta7
    Registriert seit
    02.09.2009.
    Ort
    Neu-Ulm, DE
    Beiträge
    177

    Standard

    Das Paket ist auf Packagist nun für Contao bis <5 freigegeben, im Manager wird aber trotzdem noch:
    "Inkompatibles Paket!
    Dieses Paket wird in der Contao 4 Managed Edition nicht unterstützt."
    ausgegeben.
    Gruss Alu

  31. #31
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Die Angaben in der composer.json sind falsch, so lässt sich das Paket nicht in Contao 4 installieren. Auch die Installation in Contao 3 würde so nicht korrekt funktionieren, vermutlich.
    Geändert von Spooky (29.01.2019 um 15:02 Uhr)

  32. #32
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

  33. #33
    Contao-Nutzer Avatar von sizta7
    Registriert seit
    02.09.2009.
    Ort
    Neu-Ulm, DE
    Beiträge
    177

    Standard

    Danke Spooky, der PR wurde gemerged und ich hab's eben nochmal getestet, aber der Manager zeigt immer noch "inkompatibles Paket" an.
    Gruss Alu

  34. #34
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Wird vermutlich noch eine Weile dauern, bis das aus dem Cache fällt.

  35. #35
    Contao-Nutzer Avatar von sizta7
    Registriert seit
    02.09.2009.
    Ort
    Neu-Ulm, DE
    Beiträge
    177

    Standard

    Der Cache hat's geschluckt, aber die Console meldet folgendes Problem:

    Your requirements could not be resolved to an installable set of packages.

    Problem 1
    - Conclusion: don't install contao/calendar-bundle 4.4.32
    - psi/news4ward 2.3.0 requires contao/core >=3.2.1,<4 -> satisfiable by contao/core[3.2.1, 3.2.10, 3.2.11, 3.2.12, 3.2.13, 3.2.14, 3.2.15, 3.2.16, 3.2.17, 3.2.18, 3.2.19, 3.2.2, 3.2.20, 3.2.21, 3.2.3, 3.2.4, 3.2.5, 3.2.6, 3.2.7, 3.2.8, 3.2.9, 3.3.0, 3.3.1, 3.3.2, 3.3.3, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.4.0, 3.4.1, 3.4.2, 3.4.3, 3.4.4, 3.4.5, 3.5.0, 3.5.1, 3.5.10, 3.5.11, 3.5.12, 3.5.13, 3.5.14, 3.5.15, 3.5.16, 3.5.17, 3.5.18, 3.5.19, 3.5.2, 3.5.20, 3.5.21, 3.5.22, 3.5.23, 3.5.24, 3.5.25, 3.5.26, 3.5.27, 3.5.28, 3.5.29, 3.5.3, 3.5.30, 3.5.31, 3.5.32, 3.5.33, 3.5.34, 3.5.35, 3.5.36, 3.5.37, 3.5.38, 3.5.4, 3.5.5, 3.5.6, 3.5.7, 3.5.8, 3.5.9].
    - psi/news4ward 2.3.1 requires contao/core >=3.2.1,<4 -> satisfiable by contao/core[3.2.1, 3.2.10, 3.2.11, 3.2.12, 3.2.13, 3.2.14, 3.2.15, 3.2.16, 3.2.17, 3.2.18, 3.2.19, 3.2.2, 3.2.20, 3.2.21, 3.2.3, 3.2.4, 3.2.5, 3.2.6, 3.2.7, 3.2.8, 3.2.9, 3.3.0, 3.3.1, 3.3.2, 3.3.3, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.4.0, 3.4.1, 3.4.2, 3.4.3, 3.4.4, 3.4.5, 3.5.0, 3.5.1, 3.5.10, 3.5.11, 3.5.12, 3.5.13, 3.5.14, 3.5.15, 3.5.16, 3.5.17, 3.5.18, 3.5.19, 3.5.2, 3.5.20, 3.5.21, 3.5.22, 3.5.23, 3.5.24, 3.5.25, 3.5.26, 3.5.27, 3.5.28, 3.5.29, 3.5.3, 3.5.30, 3.5.31, 3.5.32, 3.5.33, 3.5.34, 3.5.35, 3.5.36, 3.5.37, 3.5.38, 3.5.4, 3.5.5, 3.5.6, 3.5.7, 3.5.8, 3.5.9].
    - psi/news4ward 2.3.2 requires contao/core >=3.2.1,<4 -> satisfiable by contao/core[3.2.1, 3.2.10, 3.2.11, 3.2.12, 3.2.13, 3.2.14, 3.2.15, 3.2.16, 3.2.17, 3.2.18, 3.2.19, 3.2.2, 3.2.20, 3.2.21, 3.2.3, 3.2.4, 3.2.5, 3.2.6, 3.2.7, 3.2.8, 3.2.9, 3.3.0, 3.3.1, 3.3.2, 3.3.3, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.4.0, 3.4.1, 3.4.2, 3.4.3, 3.4.4, 3.4.5, 3.5.0, 3.5.1, 3.5.10, 3.5.11, 3.5.12, 3.5.13, 3.5.14, 3.5.15, 3.5.16, 3.5.17, 3.5.18, 3.5.19, 3.5.2, 3.5.20, 3.5.21, 3.5.22, 3.5.23, 3.5.24, 3.5.25, 3.5.26, 3.5.27, 3.5.28, 3.5.29, 3.5.3, 3.5.30, 3.5.31, 3.5.32, 3.5.33, 3.5.34, 3.5.35, 3.5.36, 3.5.37, 3.5.38, 3.5.4, 3.5.5, 3.5.6, 3.5.7, 3.5.8, 3.5.9].
    - psi/news4ward 2.3.3 requires contao/core >=3.2.1,<5 -> satisfiable by contao/core[3.2.1, 3.2.10, 3.2.11, 3.2.12, 3.2.13, 3.2.14, 3.2.15, 3.2.16, 3.2.17, 3.2.18, 3.2.19, 3.2.2, 3.2.20, 3.2.21, 3.2.3, 3.2.4, 3.2.5, 3.2.6, 3.2.7, 3.2.8, 3.2.9, 3.3.0, 3.3.1, 3.3.2, 3.3.3, 3.3.4, 3.3.5, 3.3.6, 3.3.7, 3.4.0, 3.4.1, 3.4.2, 3.4.3, 3.4.4, 3.4.5, 3.5.0, 3.5.1, 3.5.10, 3.5.11, 3.5.12, 3.5.13, 3.5.14, 3.5.15, 3.5.16, 3.5.17, 3.5.18, 3.5.19, 3.5.2, 3.5.20, 3.5.21, 3.5.22, 3.5.23, 3.5.24, 3.5.25, 3.5.26, 3.5.27, 3.5.28, 3.5.29, 3.5.3, 3.5.30, 3.5.31, 3.5.32, 3.5.33, 3.5.34, 3.5.35, 3.5.36, 3.5.37, 3.5.38, 3.5.4, 3.5.5, 3.5.6, 3.5.7, 3.5.8, 3.5.9].
    - contao/core 3.5.1 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.10 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.11 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.12 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.13 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.14 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.15 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.16 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.17 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.18 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.19 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.2 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.20 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.21 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.22 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.23 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.24 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.25 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.26 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.27 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.28 conflicts with contao/calendar-bundle[4.4.32].
    - contao/core 3.5.29 conflicts with contao/calendar-bundle[4.4.32].


    ..... usw......

    - Installation request for contao/calendar-bundle (locked at 4.4.32, required as ^4.4) -> satisfiable by contao/calendar-bundle[4.4.32].
    - Installation request for psi/news4ward ^2.3 -> satisfiable by psi/news4ward[2.3.0, 2.3.1, 2.3.2, 2.3.3].
    Gruss Alu

  36. #36
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Die letzten Änderungen wurden auf Github noch nicht mit einem Release Tag versehen.

  37. #37
    Contao-Fan Avatar von bibib
    Registriert seit
    19.06.2009.
    Ort
    Linz, Oberösterreich
    Beiträge
    626
    Partner-ID
    8517

    Standard

    Danke Spooky!
    Kann man eigentlich diese composer.json auch für die Erweiterungen ...archive_menu, ...categories, ...comments, ...newsletter, ...related und ...tags übernehmen? Diese funktionieren auch in Contao 4 und sollten eigentlich auch freigegeben werden. Ich hätte es ja auf github gemeldet, aber das wurde auch noch nicht erledigt. Bzw. - ich mach gerne was, wenn ich nur wüsste, wie?

  38. #38
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Das kann nur ein Maintainer der Repositories.

  39. #39
    Contao-Nutzer Avatar von sizta7
    Registriert seit
    02.09.2009.
    Ort
    Neu-Ulm, DE
    Beiträge
    177

    Standard

    @Spooky: Ich hab mir die Tags-Erweiterung geforked und die Versionsänderungen am Bsp. Deiner composer.json eingefügt:
    https://github.com/sizta/news4ward_t...8334472589d1db

    Ich würde so de andren composer.json Dateien forken und die ensprechenden Zeilen ändern und dann PRs machen,
    wenn der Maintainer es dann nur noch "mergen" muss und es dann ggf. für die anderen Erweiterungen funktioniert?
    Was meinst Du?
    Gruss Alu

  40. #40
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.591
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Ja, kannst du so machen . Maintainer muss dann mergen und evt. auch einen Release Tag generieren. Ansonsten muss man (bspw.) dev-master installieren.

Seite 1 von 2 12 LetzteLetzte

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •